Entur Developer
Customers API

Api for creating, fetching, modifying and deleting preferences a customer can have


Find Preference by id

GET
https://api.entur.io/customers/v2
/preferences/{preferenceId}

Get a specific preference by Id.

Find Preference by id › path Parameters

preferenceId
​integer · int64 · required · style: simple

Find Preference by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find Preference by id › Responses

OK

Preference
changedAt
​string · date-time · required

When the preference was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdAt
​string · date-time · required

When the preference was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Preference id.

isActive
​boolean · required

Whether the preference is active.

preferenceCode
​string · maxLength: 20 · required

The preference code.

preferenceDescription
​string · maxLength: 255 · required

A description of the preference.

preferenceType
​string · maxLength: 20 · required

Type of preference.


Update preference

PUT
https://api.entur.io/customers/v2
/preferences/{preferenceId}

Update the fields of an existing preference. All values are stored and overrides current values.

Update preference › path Parameters

preferenceId
​integer · int64 · required · style: simple

Update preference › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update preference › Request Body

Preference
isActive
​boolean · required

Whether the preference is active.

preferenceCode
​string · maxLength: 20 · required

The preference code.

preferenceDescription
​string · maxLength: 255 · required

A description of the preference.

preferenceType
​string · maxLength: 20 · required

Type of preference.

Update preference › Responses

OK

Preference
changedAt
​string · date-time · required

When the preference was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdAt
​string · date-time · required

When the preference was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Preference id.

isActive
​boolean · required

Whether the preference is active.

preferenceCode
​string · maxLength: 20 · required

The preference code.

preferenceDescription
​string · maxLength: 255 · required

A description of the preference.

preferenceType
​string · maxLength: 20 · required

Type of preference.


List all preferences

GET
https://api.entur.io/customers/v2
/preferences

Get the list of all supported preferences. This list will include inactive preferences.

List all preferences › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

List all preferences › Responses

OK

​object[]

Add preference

POST
https://api.entur.io/customers/v2
/preferences

Add a preference to the database.

Add preference › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Add preference › Request Body

Preference
isActive
​boolean · required

Whether the preference is active.

preferenceCode
​string · maxLength: 20 · required

The preference code.

preferenceDescription
​string · maxLength: 255 · required

A description of the preference.

preferenceType
​string · maxLength: 20 · required

Type of preference.

Add preference › Responses

OK

Preference
changedAt
​string · date-time · required

When the preference was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdAt
​string · date-time · required

When the preference was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
id
​integer · int64 · required

Preference id.

isActive
​boolean · required

Whether the preference is active.

preferenceCode
​string · maxLength: 20 · required

The preference code.

preferenceDescription
​string · maxLength: 255 · required

A description of the preference.

preferenceType
​string · maxLength: 20 · required

Type of preference.


Did you find what you were looking for?